// Ex-p5-Audio-Image7
// Pour p5.js
// 1-11-2016
// Utilise: libraries/p5.js
// Utilise: libraries/p5.sound.js

var song, analyzer;
var flowers = [];
var Fond;
var Tableau;
var Hauteur;
var r = 0;

function preload() {
  song = loadSound('cecile.mp3');
  for (var i = 0; i < 3; i++) {
    flowers[i] = loadImage("images/flower" + i + ".png");
  }
  Fond = loadImage("images/IMG_8595-1024x768.jpg");
  Tableau = loadTable("Crue-1866.txt");
}

function setup() {
  // createCanvas(600, 400);
  createCanvas(windowWidth, windowHeight);
  song.loop();
  analyzer = new p5.Amplitude(); // create a new Amplitude analyzer
  analyzer.setInput(song); // Patch the input to an volume analyzer
  for (var r = 0; r < Tableau.getRowCount(); r++) {
    Hauteur = Tableau.getNum(r, 0);
    // console.log(Hauteur);
  }
  // frameRate(3);
}

function draw() {
  imageMode(CORNER);
  background(Fond);
  var rms = analyzer.getLevel();
  // text(rms, 100, 100);
  imageMode(CENTER);
  if (rms < 0.03) {
    image(flowers[0], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
  } else {
    if (rms < 0.2) {
      image(flowers[1], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
    } else {
      image(flowers[2], width / 2, height / 2, 10 + rms * 1000, 10 + rms * 1000);
    }
  }

  if (frameCount % 20 == 0) r = r + 1;
  if (r >= Tableau.getRowCount()) r = 0;
  // console.log("r = " + r);
  Hauteur = Tableau.getNum(r, 0);
  console.log("Hauteur = " + Hauteur);


  // var speed = map(mouseY, 0, height, 200, 50);
  // speed = constrain(speed, 50, 200);
  var speed = map(Hauteur, 7, 4, 200, 50);
  speed = constrain(speed, 50, 200);


  song.rate(speed / 100);
  fill(255);
  text('Speed = ' + int(speed), 20, map(Hauteur, 7, 4, 0, height));
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
}